关于 SwiftNIO HTTP/2 1.5.0 的安全性内容

本文介绍了 SwiftNIO HTTP/2 1.5.0 的安全性内容。

关于 Apple 安全性更新

为保护我们的客户,在没有进行调查并推出修补程序或发行版本之前,Apple 不会透露、讨论或确认安全性问题。“Apple 安全性更新”页面上列出了近期发布的版本。

如果可能,Apple 安全性文稿会引用 CVE-ID 中列出的安全漏洞。

如果需要了解有关安全性的更多信息,请参阅“Apple 产品安全性”页面。

SwiftNIO HTTP/2 1.5.0

发布于 2019 年 8 月 13 日

SwiftNIO HTTP/2

适用于:macOS Sierra 10.12 及更高版本和 Ubuntu 14.04 及更高版本上的 SwiftNIO HTTP/2 1.0.0 至 1.4.0

影响:HTTP/2 服务器在接收某些流量模式时可能会消耗无限量的内存,最终导致资源耗尽

描述:已通过改进缓冲区大小管理解决这个问题。

CVE-2019-9512: Jonathan Looney of Netflix

CVE-2019-9514: Jonathan Looney of Netflix

CVE-2019-9515: Jonathan Looney of Netflix

CVE-2019-9516: Jonathan Looney of Netflix

SwiftNIO HTTP/2

适用于:macOS Sierra 10.12 及更高版本和 Ubuntu 14.04 及更高版本上的 SwiftNIO HTTP/2 1.0.0 至 1.4.0

影响:HTTP/2 服务器在接收某些流量模式时可能会消耗过多的 CPU 资源

描述:已通过改进输入验证解决这个问题。

CVE-2019-9518: Piotr Sikora of Google, Envoy Security Team

有关非 Apple 制造的产品或非 Apple 控制或测试的独立网站的信息仅供参考,不代表 Apple 的任何建议或保证。Apple 对于第三方网站或产品的选择、性能或使用不承担任何责任。Apple 对于第三方网站的准确性和可靠性不作任何担保。互联网的使用具有一定风险。请联系供应商以了解其他信息。其他公司和产品名称可能是其各自所有公司的商标。

发布日期: